aboutsummaryrefslogtreecommitdiff
path: root/0.26.0_alpha1/paludis/repositories/e/ebuild/utils/exheres-0/banned_in_eapi_exheres-0
diff options
context:
space:
mode:
Diffstat (limited to '0.26.0_alpha1/paludis/repositories/e/ebuild/utils/exheres-0/banned_in_eapi_exheres-0')
-rwxr-xr-x0.26.0_alpha1/paludis/repositories/e/ebuild/utils/exheres-0/banned_in_eapi_exheres-028
1 files changed, 28 insertions, 0 deletions
diff --git a/0.26.0_alpha1/paludis/repositories/e/ebuild/utils/exheres-0/banned_in_eapi_exheres-0 b/0.26.0_alpha1/paludis/repositories/e/ebuild/utils/exheres-0/banned_in_eapi_exheres-0
new file mode 100755
index 000000000..a0e3d1517
--- /dev/null
+++ b/0.26.0_alpha1/paludis/repositories/e/ebuild/utils/exheres-0/banned_in_eapi_exheres-0
@@ -0,0 +1,28 @@
+#!/bin/bash
+# vim: set sw=4 sts=4 et :
+
+# Copyright (c) 2007 Ciaran McCreesh <ciaran.mccreesh@blueyonder.co.uk>
+#
+# This file is part of the Paludis package manager. Paludis is free software;
+# you can redistribute it and/or modify it under the terms of the GNU General
+# Public License as published by the Free Software Foundation; either version
+# 2 of the License, or (at your option) any later version.
+#
+# Paludis is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+# details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place, Suite 330, Boston, MA 02111-1307 USA
+
+COLOUR_RED=$'\e[31;01m'
+COLOUR_NORMAL=$'\e[0m'
+
+echo "${COLOUR_RED}!!! Ebuild bug: '$(basename ${0} )' banned in EAPI exheres-0${COLOUR_NORMAL}"
+echo "$(basename ${0} ): making ebuild PID ${EBUILD_KILL_PID} exit with error" 1>&2
+kill -s SIGUSR1 "${EBUILD_KILL_PID}"
+
+exit 123
+